System.register(["./auth.js"], function (_export, _context) {
  "use strict";

  var Auth;
  return {
    setters: [function (_authJs) {
      Auth = _authJs.default;
    }],
    execute: function () {
      const __SystemJSRewritingHack = {};
      _recorder_._src_client_auth_github_js = _recorder_._src_client_auth_github_js || {};
      Object.defineProperty(_recorder_._src_client_auth_github_js, "Auth", {
        get() {
          return Auth;
        },

        set(thisIsVererySecretVariableName) {
          Auth = thisIsVererySecretVariableName;
          return true;
        },

        enumerable: true,
        configurable: true
      });
      class AuthGithub extends Auth {

        static get notificationIconURL() {
          return 'https://assets-cdn.github.com/images/modules/logos_page/GitHub-Mark.png';
        }

        static get tokenName() {
          return "githubToken";
        }

        static tokenFromAuthInfo(authInfo) {
          return authInfo.access_token;
        }

        static get appInfo() {
          return {
            "clientId": "21b67bb82b7af444a7ef",
            "redirectUri": "https://lively-kernel.org/lively4-auth/oauth/github.html"
          };
        }

        static oauthTokenURL(uuid) {
          return "https://lively-kernel.org/lively4-auth/open_github_accesstoken?state=" + uuid;
        }

        static oauthURL(uuid) {
          return "https://github.com/login/oauth/authorize/" + "?client_id=" + this.appInfo.clientId + "&response_type=token" + "&scope=repo,user" + "&state=" + uuid + "&redirect_uri=" + encodeURIComponent(this.appInfo.redirectUri);
        }
      }

      _export("default", AuthGithub);

      Object.defineProperty(_recorder_._src_client_auth_github_js, "AuthGithub", {
        get() {
          return AuthGithub;
        },

        set(thisIsVererySecretVariableName) {
          _export("default", AuthGithub = thisIsVererySecretVariableName);

          return true;
        },

        enumerable: true,
        configurable: true
      });
      AuthGithub.load();
    }
  };
});